<template>
  <div id="app">
    <router-view class="content"/>
  </div>
</template>
<script>
function getScrollTop(){
  var scrollTop=0;
  if(document.documentElement&&document.documentElement.scrollTop){
    scrollTop=document.documentElement.scrollTop
  }else if(document.body){
    scrollTop=document.body.scrollTop
  }
  return scrollTop
}

var oldScrollTop = getScrollTop() || 0; // 记录当前滚动位置
document.body.addEventListener('focusin', () => { // 软键盘弹起事件
})
document.body.addEventListener('focusout', () => { // 软键盘关闭事件
  var ua = window.navigator.userAgent
  if (ua.indexOf('iPhone') > 0 || ua.indexOf('iPad') > 0) { // 键盘收起页面空白问题
    document.body.scrollTop = oldScrollTop
    document.documentElement.scrollTop = oldScrollTop
  }
})
</script>
<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: black;
  height: 100vh;
  width: 100vw;
}
.content{
  background-image: url("./assets/images/bc.png");
  background-repeat: no-repeat ;
  background-size: cover;}

#nav {
  padding: 30px;
}

#nav a {
  font-weight: bold;
  color: #2c3e50;
}

#nav a.router-link-exact-active {
  color: #42b983;
}
ol,ul{
  padding: 0!important;
}
</style>
